Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.nntp
Class NewsgroupInfo

    java.lang.Object
      org.apache.commons.net.nntp.NewsgroupInfo

    public final class NewsgroupInfo

extends Object

NewsgroupInfo stores information pertaining to a newsgroup returned by the NNTP GROUP, LIST, and NEWGROUPS commands, implemented by `selectNewsgroup` , `listNewsgroups` , and `listNewNewsgroups` respectively.

See Also:
  `NNTPClient`

Field Summary
`static int` | `MODERATED_POSTING_PERMISSION` A constant indicating that a newsgroup is moderated.
`static int` | `PERMITTED_POSTING_PERMISSION` A constant indicating that a newsgroup is public and unmoderated.
`static int` | `PROHIBITED_POSTING_PERMISSION` A constant indicating that a newsgroup is closed for general posting.
`static int` | `UNKNOWN_POSTING_PERMISSION` A constant indicating that the posting permission of a newsgroup is unknown.

Constructor Summary
`NewsgroupInfo()`

Method Summary
`int` | `getArticleCount()` Deprecated.
`long` | `getArticleCountLong()` Get the estimated number of articles in the newsgroup.
`int` | `getFirstArticle()` Deprecated.
`long` | `getFirstArticleLong()` Get the number of the first article in the newsgroup.
`int` | `getLastArticle()` Deprecated.
`long` | `getLastArticleLong()` Get the number of the last article in the newsgroup.
`String` | `getNewsgroup()` Get the newsgroup name.
`int` | `getPostingPermission()` Get the posting permission of the newsgroup.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN_POSTING_PERMISSION

    public static final int UNKNOWN_POSTING_PERMISSION

  A constant indicating that the posting permission of a newsgroup is unknown. For example, the NNTP GROUP command does not return posting information, so NewsgroupInfo instances obtained from that command willhave an UNKNOWN_POSTING_PERMISSION.

  See Also:
    Constant Field Values

### MODERATED_POSTING_PERMISSION

    public static final int MODERATED_POSTING_PERMISSION

  A constant indicating that a newsgroup is moderated.

  See Also:
    Constant Field Values

### PERMITTED_POSTING_PERMISSION

    public static final int PERMITTED_POSTING_PERMISSION

  A constant indicating that a newsgroup is public and unmoderated.

  See Also:
    Constant Field Values

### PROHIBITED_POSTING_PERMISSION

    public static final int PROHIBITED_POSTING_PERMISSION

  A constant indicating that a newsgroup is closed for general posting.

  See Also:
    Constant Field Values

Constructor Detail

### NewsgroupInfo

    public NewsgroupInfo()

Method Detail

### getNewsgroup

    public String getNewsgroup()

  Get the newsgroup name.

  Returns:
    The name of the newsgroup.

### getArticleCountLong

    public long getArticleCountLong()

  Get the estimated number of articles in the newsgroup. The accuracy of this value will depend on the server implementation.

  Returns:
    The estimated number of articles in the newsgroup.

### getFirstArticleLong

    public long getFirstArticleLong()

  Get the number of the first article in the newsgroup.

  Returns:
    The number of the first article in the newsgroup.

### getLastArticleLong

    public long getLastArticleLong()

  Get the number of the last article in the newsgroup.

  Returns:
    The number of the last article in the newsgroup.

### getPostingPermission

    public int getPostingPermission()

  Get the posting permission of the newsgroup. This will be one of the `POSTING_PERMISSION` constants.

  Returns:
    The posting permission status of the newsgroup.

### getArticleCount

    @Deprecated
    public int getArticleCount()

  Deprecated.

### getFirstArticle

    @Deprecated
    public int getFirstArticle()

  Deprecated.

### getLastArticle

    @Deprecated
    public int getLastArticle()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.